cGame game;
float fps;

bool cGame::render_scene(){
	if (SDL_MUSTLOCK(screen))
		SDL_LockSurface(screen);
	//glAccum(GL_LOAD, 1.0f);
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	glLoadIdentity();
	
	
	
	//     RENDERING 3D
	ViewPerspective();
	
	gluLookAt(-game.jumper.x/5, camY-((game.jumper.y-camY)/3), camZ+(decrese(game.jumper.y,camY-4)/3), 
				game.jumper.x/10, camY+((game.jumper.y-camY)/3), 0.0f, 
				0,1,0);
	draw();
	
	

	//glAccum(GL_MULT, 0.5f);

	//    RENDERING 2D
	
	//glAccum(GL_RETURN, 1.0f);
	
	render_hud();
	//glFlush();
	SDL_GL_SwapBuffers();
	
	/* Odblokowujemy po rysowaniu */  
	if ( SDL_MUSTLOCK(screen) )
		SDL_UnlockSurface(screen);
	fps+=1;
	return true;
}

bool play(){
	if(!playReplay)
		game.init(time(NULL));
	else{
		fReplay=fopen("replay.rpl", "r");
		long long seed;
		fscanf(fReplay, "%d", &seed);
		game.init(seed);
	}
	game.clock=SDL_GetTicks();
	
	Uint32 czas=SDL_GetTicks()+2000;
	Uint32 inputClock=SDL_GetTicks()+5;
	glClear(GL_ACCUM_BUFFER_BIT);
	
	Uint32 newTime=SDL_GetTicks();
	Uint32 oldTime=newTime;
	Uint32 delta=0;
	
	
	
	while(done)
	{
		newTime=SDL_GetTicks();
		delta+=(newTime-oldTime);
		oldTime=newTime;
		if(limiter)
		if(delta<4){
			SDL_Delay(1);
			continue;
		}
		if(inputClock<oldTime){
			inputClock=SDL_GetTicks()+20;
			game.input();
		}
		game.step(float(delta)/10.0f);
		delta=0;
		game.render_scene();
		if(czas<SDL_GetTicks()){
			printf("::fps: %.1f\n", fps/2);
			fps=0;
			czas+=2000;
		}
	}
	
	
}


